Subject: Re: bug: git-sh-setup should not be in $PATH

From: Han-Wen Nienhuys <[email-masked]>
Date: Wed, 06 Dec 2006 16:36:47 +0100

Jakub Narebski escreveu:
> Still I think that at least
> 
>   datarootdir = @datarootdir@
> 
> should be not removed.

yes, agreed.

>>>> +  if test -f $srcdir/$d/Makefile ; then
  [..]
>>>> +    echo creating $d/Makefile
>>>> +    cat << EOF> $d/Makefile

>>> This part IMHO has no sense, and has no place here.
> 
> If you want to create or modify Makefiles, do that. Not generate
> "minimal" Makefiles in every and each subdirectory.

Look more closely at the patch. It only generates Makefiles in 
directories that have makefiles in the source dir. The makefiles are
short because that is the easiest to do.

I'm happy to amend the patch, bUt I can't properly test
it until the perl problem gets sorted out. 

-- 
 Han-Wen Nienhuys - [email-masked] - http://www.xs4all.nl/~hanwen